
Figure - Bug #118319
【IOVDEV-34225】【AF】【EVT3】【AUDIO】副屏微信语音通话中，多次连接蓝牙-断开蓝牙后，无声音输
出
2023-05-27 19:32 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-05-27

Priority: High Due date:

Assignee: 物联网测试组_CDTS  唐霞 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202305270101

Resolution: DUPLICATE Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Release Test Root cause: 可能是与有线网络丢帧有关系

Description

副屏与中控连接正常，网络正常

【测试步骤】

1.副屏接听微信语音电话，通话过程中副屏连接蓝牙耳机

2.再断开蓝牙耳机

3.再连接蓝牙耳机

【预期结果】

1.喇叭输出通话声，蓝牙连接后耳机输出通话声

2.喇叭输出通话声

3.蓝牙耳机输出通话声

【测试结果】

2.喇叭无声音输出

3.耳机无声音输出

备注，挂断电话后恢复正常

History

#1 - 2023-05-29 14:08 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

HI 永红

耳机无声音的现象，在118281中跟踪，

扬声器没有声音的现象在此票跟踪，

根据日志分析，该问题发生时，

断开蓝牙时，回和中控申请焦点，此时焦点申请时，中控未回复消息，

导致焦点更新失败，出现问题。

527副屏网络通话中连接断开蓝牙.txt:51502:05-27 19:28:17.289  1531 15239 I AS.AudioService: stopBluetoothSco(), BT is not turned ON or adapter is null ★

★★ 蓝牙断开

527副屏网络通话中连接断开蓝牙.txt:51508:05-27 19:28:17.298  2108 12245 D MicroService: Send message to

IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_AudioService', destService='IDCM_CarAudioService', messageType='0',

uuid='1685186897283707700',

payloadData={"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":1685186897283707700,"methodName":"reque

stAudioFocus","parameters":{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall"}}}} ★★★ 微服务通知中控

527副屏网络通话中连接断开蓝牙.txt:51577:05-27 19:28:17.883  1531 27430 W AudioIDCMicroNegotiator: idcm_warn: timeout for obtainFocusState: null ★
★★未收到消息

527副屏网络通话中连接断开蓝牙.txt:51578:05-27 19:28:17.883  1531 27430 D AudioIDCMicroNegotiator: idcm_af:notifyFocusState -> notify

527副屏网络通话中连接断开蓝牙.txt:51579:05-27 19:28:17.883  1531 27430 D AudioIDCMicroNegotiator: idcm_af:obtainFocusState, return: 0 mIsTimeout=

true time= 600

527副屏网络通话中连接断开蓝牙.txt:51585:05-27 19:28:17.885  1531  1865 D AudioIDCMicroNegotiator: idcm_af:wait messsage done ->

onAudioFocusRemoteChanged

527副屏网络通话中连接断开蓝牙.txt:51586:05-27 19:28:17.886  1531  1865 D AudioService.PlaybackActivityMonitor:

idcm_af:onAudioFocusRemoteChanged: 0 info= null

527副屏网络通话中连接断开蓝牙.txt:51587:05-27 19:28:17.886  1531  1865 D AS.AudioService: idcm_af:onAudioFocusIDCMicroChanged: 0 info: null

527副屏网络通话中连接断开蓝牙.txt:51588:05-27 19:28:17.886  1531  1865 W AS.AudioService: idcm_warn: onAudioFocusIDCMicroChanged: info is null

return

下一步：

需要中控查看，是否接收到voice call焦点的申请，看看为什么没有回复副屏。

#2 - 2023-05-30 15:00 - Multimedia组-RD3_TSCD 梁卿山

- File log_FSE.txt added

HI ALL

已经提供日志给中控，等待回复！

#3 - 2023-05-30 15:29 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD FW-程天颖

HI 天颖

根据中控的回复，该条信息，中控没有收到消息，

需要通信的模块继续调查为什么该条消息没有发到中控。

#4 - 2023-05-31 14:55 - CD FW-程天颖

- File cty_IDCM.log added

- File cty_VC1.log added

已复现并同时抓取中控副屏的日志，问题发生时间为1685503358077998678，经过分析，副屏有向中控发送信息的日志，并且无异常抛出，但是中控日志

中未收到该日志，正在分析中，初步怀疑是网络问题，

#5 - 2023-05-31 15:37 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to Multimedia组-RD3_TSCD 梁卿山

Hi,卿山，网络可能存在丢包问题，怀疑是连续发送的情况下会出现丢包的情况，请把两个请求发送的时间加一个间隔再尝试，是否还有丢包的情况
#6 - 2023-05-31 15:55 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD FW-程天颖

HI 天颖

我尝试在三次请求中增加了延时，测试了7分钟，切换将近50次吧，该问题没再发生。

请确认丢包的实际原因，谢谢!

#7 - 2023-05-31 16:31 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to ETH 黄鹏飞

Hi,鹏飞

   根据日志和试验分析，中控和副屏网络通信，可能出现丢包的情况，请帮忙分析一下，谢谢

#8 - 2023-06-01 09:48 - ETH 黄鹏飞

- Assignee changed from ETH 黄鹏飞 to Multimedia组-RD3_TSCD 梁卿山

这个票号可能就跟网卡驱动的模式有关，他们昨天晚上解决了，的重新测试看下

#9 - 2023-06-02 15:38 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Root cause set to 可能是与有线网络丢帧有关系

Hi 永红

该问题网卡驱动已经修复，请使用6月2日的版本验证是否还会发生，谢谢！

#10 - 2023-06-02 19:35 - CD TEST-方永红

- Status changed from RESOLVED to VERIFY_FAILED

- Assignee changed from CD TEST-方永红 to Multimedia组-RD3_TSCD 梁卿山

在上述测试步骤下，一会儿蓝牙耳机没声音、一会儿喇叭没声音

#11 - 2023-06-03 10:29 - Multimedia组-RD3_TSCD 梁卿山

HI ALL

当前票跟踪，蓝牙断开时，喇叭没有声音的现象；

根据日志分析，在问题发生时，和中控申请焦点时，中控未回复焦点导致超时，出现了该问题。
#12 - 2023-06-06 11:01 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from VERIFY_FAILED to ASSIGNED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to ETH 黄鹏飞

- Resolution deleted (FIXED)

HI 鹏飞

丢包问题还存在，请分析该问题，谢谢！

#13 - 2023-06-07 15:26 - CD TPM-王祥林

- Assignee changed from ETH 黄鹏飞 to CD_BSP 彭文亮

#14 - 2023-06-09 19:29 - CD_BSP 彭文亮

- File log20230609.zip added

结论：zk收到了切换焦点的信息，应是zk上层未进行处理。

试验：蓝牙处于释放状态，微信通话建立-正常，切到蓝牙-正常，释放蓝牙-无声音输出

fsem.pcap:

frame号      1507 1519      12433

uuid后三位   836   836       665

动作         切到蓝牙        释放蓝牙

zk.pcap:

frame号     1717 1728      12336 

uuid后3位   836   836       665

动作       切到蓝牙          释放蓝牙

fsem.txt摘录

06-09 17:35:45.654  2186 14984 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_AudioService',

destService='IDCM_CarAudioService', messageType='0', uuid='1686303345652585836',

payloadData={"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":1686303345652585836,"methodName":"requestAudioF

ocus","parameters":{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall"}}}}

06-09 17:35:45.678  2186 14986 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_CarAudioService',

destService='FSEM_AudioService', messageType='1', uuid='1686303345652585836',

payloadData={"srcService":"IDCM_CarAudioService","dstService":"FSEM_AudioService","methodName":"requestAudioFocus","messageType":1,"uuid":16863033456525

85836,"parameters":{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall","IDCM_AudioFocus_Result":"AUDIOFOCUS_REQUEST_GRANTED"}}}}

06-09 17:36:24.452  2186 18575 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_AudioService',

destService='IDCM_CarAudioService', messageType='0', uuid='1686303384447480665',

payloadData={"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":1686303384447480665,"methodName":"requestAudioF

ocus","parameters":{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall"}}}}

zk.txt摘录

06-09 17:35:45.710   588   613 I HCOMHAL :

{"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":1686303345652585836,"methodName":"requestAudioFocus","parame

ters":{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall"}}}

06-09 17:35:45.713  1624  1786 I CAR.AUDIO.FSE: onReceiveData receiveData =

{"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":1686303345652585836,"methodName":"requestAudioFocus","parame

ters":{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall"}}}

06-09 17:35:45.725  1624  1786 I CAR.AUDIO.FSE: convertToJsonFormat  = 

{"srcService":"IDCM_CarAudioService","dstService":"FSEM_AudioService","methodName":"requestAudioFocus","messageType":1,"uuid":1686303345652585836,"parame

ters":{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall","IDCM_AudioFocus_Result":"AUDIOFOCUS_REQUEST_GRANTED"}}}

2025-07-04 4/5



06-09 17:35:45.730   588   614 I HCOMHAL :

{"srcService":"IDCM_CarAudioService","dstService":"FSEM_AudioService","methodName":"requestAudioFocus","messageType":1,"uuid":1686303345652585836,"parame

ters":{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall","IDCM_AudioFocus_Result":"AUDIOFOCUS_REQUEST_GRANTED"}}}

备注：.pcap为抓包文件， .txt为logcat文件。

#15 - 2023-06-10 10:32 - CD_BSP 彭文亮

- Assignee changed from CD_BSP 彭文亮 to Multimedia组-RD3_TSCD 梁卿山

后续，由卿山继续跟踪此问题。

#16 - 2023-06-13 10:39 - Multimedia组-RD3_TSCD 梁卿山

- Subject changed from 【AF】【EVT3】【AUDIO】副屏微信语音通话中，多次连接蓝牙-断开蓝牙后，无声音输出 to 【IOVDEV-34225】【AF】【EVT3

】【AUDIO】副屏微信语音通话中，多次连接蓝牙-断开蓝牙后，无声音输出

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TPM-王祥林

Hi ALL

该问题已经通过jira跟踪，该问题需要关闭！

IOVDEV-34225

#17 - 2023-06-13 10:51 - CD TPM-王祥林

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD TPM-王祥林 to 物联网测试组_CDTS  唐霞 

中控问题，已提jira，这个票可以关闭。

#18 - 2023-06-13 10:52 - CD TPM-王祥林

- Resolution set to DUPLICATE

#19 - 2023-06-14 09:39 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

中控问题，关闭问题单

#20 - 2023-06-14 09:39 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED

Files

527副屏网络通话中连接断开蓝牙.txt 11.6 MB 2023-05-27 物联网测试组_CDTS  唐霞 

log_FSE.txt 2.98 MB 2023-05-30 Multimedia组-RD3_TSCD 梁卿山

cty_IDCM.log 27.7 MB 2023-05-31 CD FW-程天颖

cty_VC1.log 9.09 MB 2023-05-31 CD FW-程天颖

log20230609.zip 14.6 MB 2023-06-09 CD_BSP 彭文亮
